#!/bin/sh

#/*******************************************************************************
#* Licensed Materials - Property of IBM
#* (c) Copyright IBM Corporation 2008-2011. All Rights Reserved.
#* 
#* Note to U.S. Government Users Restricted Rights:
#* Use, duplication or disclosure restricted by GSA ADP Schedule
#* Contract with IBM Corp. 
#*******************************************************************************/

# Author: Shuai Hu
# This Shell file is used to update Rational RRDI to Rational Insight
# Parameters:
# rrdi2insight -dir <RRDI_dir> -user <was_admin_id> -password <was_admin_pasword>

EXITCODE=0
Path_RRDI=""

toolDir=$PWD
cd ../../..
insightDir=$PWD
cd $toolDir

rcrdone(){
exit $EXITCODE
}

emptydir(){
$insightDir/jdk/jre/bin/java $insightDir/cognos/bin/ant.jar -buildfile ./message.xml empty_dir
rcrdone;
}

showshelp(){
$insightDir/jdk/jre/bin/java $insightDir/cognos/bin/ant.jar -buildfile ./message.xml help
rcrdone;
}



para1=$1
para2=$2
para3=$3
para4=$4
para5=$5
para6=$6

cmdstr1=""
cmdstr2=""
cmdstr3=""

if [ "$para1" = "-help" ]; then 
showshelp;
fi

if [ "$para1" = "-dir" ]; then 
Path_RRDI=$para2
fi

if [ "$para3" = "-dir" ]; then
Path_RRDI=$para4
fi

if [ "$para5" = "-dir" ]; then
Path_RRDI=$para6
fi


if [ -d "$Path_RRDI" ]; then
   echo "$Path_RRDI"
else 
   EXITCODE=1 
   emptydir;
fi


para1=${para1/-/-D}
para3=${para3/-/-D}
para5=${para5/-/-D}

if [ "$para1" != "" ]; then 
cmdstr1=$para1"="$para2
fi

if [ "$para3" != "" ]; then
cmdstr2=$para3=$para4
fi

if [ "$para5" != "" ]; then
cmdstr3=$para5=$para6
fi

echo  $cmdstr1 $cmdstr2 $cmdstr3

sh $Path_RRDI/AppServer/bin/ws_ant.sh -f build.xml -Dinsightdir=$insightDir $cmdstr1 $cmdstr2 $cmdstr3
